/*
 * e4dlldef.h --
 *
 * Provide an appropriate (dependent on the system on which the file is
 * being included) definition of e4_DLL.
 *
 * Copyright (c) 2000-2001, JYL Software Inc.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE, EVEN IF
 * JYL SOFTWARE INC. IS MADE AWARE OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	__E4_DLLDEF_H__
#define	__E4_DLLDEF_H__

#ifndef e4_DLL
# if defined(_WIN32) && !defined(E4_STATIC)
#  ifdef E4_DLL
#   define e4_DLL      __declspec(dllexport)
#  else
#   define e4_DLL      __declspec(dllimport)
#  endif
# else
#  define e4_DLL
# endif
#endif

#ifndef e4_DLLSPEC
# ifdef _WIN32
#  define e4_DLLSPEC(t)   e4_DLL t
# else
#  define e4_DLLSPEC(t)   t e4_DLL
# endif
#endif

#endif	/* __E4_DLLDEF_H__ */
