/*
 * e4intstack.h --
 *
 *	This file contains the definition of the e4_IntStack class. This
 *	class is used to store a stack of integers.
 *
 * Copyright (c) 2000-2001, JYL Software Inc.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE, EVEN IF
 * JYL SOFTWARE INC. IS MADE AWARE OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef	__E4_INTSTACK_H__
#define	__E4_INTSTACK_H__

/*
 * This class stores a stack of ints.
 */

class e4_DLL e4_IntStack {
private:
    int next;
    int size;
    int *stack;

public:
    /*
     * Constructor:
     */

    e4_IntStack();

    /*
     * Destructor:
     */

    ~e4_IntStack();

    /*
     * Push and pop operations.
     */

    void Push(int id);
    bool Pop(int *idp);
    void Reset();
};

#endif	/* !__E4_INTSTACK_H__ */
