/*
 * e4xmldll.h --
 *
 * Import/export declarations for DLLs.
 *
 *	Authors: Jacob Levy and Jean-Claude Wippler.
 *		 jyl@best.com	jcw@equi4.com
 *	Adapted from mk4dll.h in MetaKit 1.8.5.
 *
 *	Copyright: JYL Software, Inc., (c) 2000-2001.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE, EVEN IF
 * JYL SOFTWARE INC. IS MADE AWARE OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	__E4_XML_H__
#error This file should only be included by "e4xml.h" and never directly.
#endif	/* __E4_XML_H__ */

#ifndef __E4_XMLDLL_H__
#define	__E4_XMLDLL_H__

/*
 * Export declarations:
 */

#ifndef e4_XMLDLL
    #if defined(_WIN32) && !defined(E4_STATIC)
	#ifdef E4_XMLDLL
            #define e4_XMLDLL      __declspec(dllexport)
        #else
            #define e4_XMLDLL      __declspec(dllimport)
        #endif
    #else
        #define e4_XMLDLL          
    #endif
#endif

/*
 * Forward declarations:
 */

class e4_XMLDLL e4_XMLParser;
class e4_XMLDLL e4_XMLGenerator;

#endif	/* __E4_XMLDLL_H__ */
